### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu/ecl-menu-item.component.ts`

### Implements

`EclMenuItem` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-item`
styles | `:host { display: list-item; } /* due to eui css leak targeting all elements with box-sizing of border-box */ .ecl-menu__link { box-sizing: unset; }`
templateUrl | `./ecl-menu-item.component.html`

### Index

###### Properties
Readonly FULL_TRIGGER submenu
###### Methods
onItemClick onItemFocus onItemMouseEnter
###### Inputs
href id isCurrent label
###### Outputs
menuItemFocus menuItemHover menuItemSelect menuMegaItemSelect
###### HostBindings
class.ecl-menu__item class.ecl-menu__item--expanded class.ecl-menu__item--focused class.ecl-menu__item--full class.ecl-menu__item--has-children
###### HostListeners
keydown
###### Accessors
hasChildren children

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean`

label
Type : `string`

### Outputs

menuItemFocus
Type : `EventEmitter`

menuItemHover
Type : `EventEmitter`

menuItemSelect
Type : `EventEmitter`

menuMegaItemSelect
Type : `EventEmitter`

### HostBindings

class.ecl-menu__item
Type : `boolean`
Default value : `true`

class.ecl-menu__item--expanded
Type : `boolean`

class.ecl-menu__item--focused
Type : `boolean`
Default value : `false`

class.ecl-menu__item--full
Type : `boolean`
Default value : `false`

class.ecl-menu__item--has-children
Type : `boolean`

### HostListeners

keydown
Arguments : `'$event'`
`keydown(event: KeyboardEvent)`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onItemFocus
`onItemFocus(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onItemMouseEnter
`onItemMouseEnter(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

Readonly FULL_TRIGGER
Type : `number`
Default value : `12`

submenu
Type : `EclMenuMegaComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

hasChildren
get `hasChildren()`

children
get `children()`

# result-matching ""

# No results matching ""